| API Docs for SAX and DOM |
| Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members # PanicHandler Class Reference Receive notification of panic. More... Inheritance diagram for PanicHandler: [legend] List of all members.
## hidden Constructors
virtual | ~PanicHandler ()
| Destructor. More...
| PanicHandler ()
| Default constructor. More...
## Public Types
Public Types
enum | PanicReasons { Panic_NoTransService, Panic_NoDefTranscoder, Panic_CantFindLib, Panic_UnknownMsgDomain, Panic_CantLoadMsgDomain, Panic_SynchronizationErr, Panic_SystemInit, PanicReasons_Count }
## Public Methods
The virtual panic handler interface
virtual void | panic (const PanicHandler::PanicReasons reason)=0
| Receive notification of panic. More...
## Static Public Methods
const char * | getPanicReasonString (const PanicHandler::PanicReasons reason)
## Detailed Description Receive notification of panic. This is the interface, through which the Xercesc reports a panic to the application. Application may implement this interface, instantiate an object of the derivative, and plug it to Xercesc in the invocation to XMLPlatformUtils::Initialize(), if it prefers to handling panic itself rather than Xercesc doing it. ## Member Enumeration Documentation
enum PanicHandler::PanicReasons
  | Enumeration values:
  Panic_NoTransService |
  Panic_NoDefTranscoder |
  Panic_CantFindLib |
  Panic_UnknownMsgDomain |
  Panic_CantLoadMsgDomain |
  Panic_SynchronizationErr |
  Panic_SystemInit |
  PanicReasons_Count |
## Constructor & Destructor Documentation
PanicHandler::PanicHandler | ( |  | ) | `[protected]`
| Default constructor.
virtual PanicHandler::~PanicHandler | ( |  | ) | `[virtual]`
| Destructor.
## Member Function Documentation
const char* PanicHandler::getPanicReasonString | ( | const PanicHandler::PanicReasons | reason | ) | `[static]`
virtual void PanicHandler::panic | ( | const PanicHandler::PanicReasons | reason | ) | `[pure virtual]`
  | Receive notification of panic. This method is called when an unrecoverable error has occurred in the Xerces library. This method must not return normally, otherwise, the results are undefined. Ways of handling this call could include throwing an exception or exiting the process. Once this method has been called, the results of calling any other Xerces API, or using any existing Xerces objects are undefined. Parameters:
  reason | The reason of panic
Implemented in DefaultPanicHandler.
The documentation for this class was generated from the following file: PanicHandler.hpp

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.